package spike.base.listener;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import spike.base.event.StateChangeEvent;

public class StateGUI implements ActionListener {

	@Override
	public void actionPerformed(ActionEvent e) {
		if (e instanceof StateChangeEvent) {
			
			switch (e.getID()) {
			case StateChangeEvent.INIT:
				System.out.println("init:" + e.getActionCommand());
			case StateChangeEvent.BEGIN:
				System.out.println("begin:" + e.getActionCommand());
			case StateChangeEvent.PUT:
				System.out.println("put:" + e.getActionCommand());
			case StateChangeEvent.GET:
				System.out.println("get:" + e.getActionCommand());
			case StateChangeEvent.STOP:
				System.out.println("stop:" + e.getActionCommand());
			}
			
		}

	}
}
